// Fichier Led.C
/////////////////////////////////////////////////////////

/********************************************************
 *                                                      *
 *              Code source de la librairie             *
 *	   		de la commande Moteur de propulsion			*
 *                                                      *
 * .Date de cration : 21/01/08                         *
 * .Auteurs : Came Mikael Et Guibert David              *       
 *                                                      *
 * .Descriptions :                                      *
 *													    *
 *                                                      *
 * .Grandes modifications :                             *
 *  __________________________________________________  *
 * |   DATE   |   Auteur   |          Detail          | *
 * |--------------------------------------------------| *
 * | 21/01/08 | C&G			| Cration et code des    | *
 * |          |			   | fonctions: 			  | *
 * |          |            | Led_Jaune(unsigned char) | *
 * |          |            | Led_rouge(unsigned char) | *
 * |          |            | Led_Ambre(unsigned char) | *
 * |          |            | Led_Verte(unsigned char) | *
 * |--------------------------------------------------| *
 * |  7/02/08 |    C&G     | Mise  jour du code      | *
 * |--------------------------------------------------| *
 * |          |            |                          | *
 * |--------------------------------------------------| *
 * |__________|____________|__________________________| *
 *                                                      *
 *                                                      *
 * .Remarques : 								        *
 *                                                      *
 ********************************************************/

//-------------------------------------------------------------------
#include <p18f452.h>			// Librairie du PIC utilis
#include <adc.h>				// Librairie pour le CAN

#include "Led.h"		

/*-------------------------------------------------------------------
 * Fonction Led_Init()
 * Inittialise les broche des leds en sorties
 *  0: en sorties
 *  1: en entrees
*/

void Led_Init(void)
{
	// Configure la Conversion Analogique Numrique
	OpenADC (ADC_0ANA_0REF,ADC_INT_OFF);	// Pas de CAN

	// Definition des Leds 
	TRIS_LED_JAUNE =0;					// La broche LED_JAUNE en sortie
	TRIS_LED_ROUGE =0;					// La broche LED_ROUGE en sortie
	TRIS_LED_AMBRE =0;					// La broche LED_AMBRE en sortie
	TRIS_LED_VERTE =0;					// La broche LED_VERTE en sortie
	
	Led_Jaune(0);						// Eteind la led jaune
	Led_Rouge(0);						// Eteind la led rouge
	Led_Ambre(0);						// Eteind la led ambre
	Led_Verte(0);						// Eteind la led verte
}

/*-------------------------------------------------------------------
 * Fonction Led_X()
 * Allume ou teint la LED X
 *  0: ETEINT La LED
 *  1: ALLUME La LED 
*/
//------------------------------------

void Led_Jaune (unsigned char val)
{
	LED_JAUNE=(!val);
}
//------------------------------------

void Led_Rouge (unsigned char val)
{
	LED_ROUGE=(!val);
}
//------------------------------------

void Led_Ambre (unsigned char val)
{
	LED_AMBRE=(!val);
}
//------------------------------------

void Led_Verte (unsigned char val)
{
	LED_VERTE=(!val);
}
//------------------------------------
