// Fichier Led.h
/////////////////////////////////////////////////////////

/********************************************************
 *                                                      *
 *              Code source de la librairie             *
 *	   		de la commande Moteur de propulsion			*
 *                                                      *
 * .Date de cration : 21/01/08                         *
 * .Auteurs : Came Mikael Et Guibert David              *       
 *                                                      *
 * .Descriptions :                                      *
 *													    *
 *                                                      *
 * .Grandes modifications :                             *
 *  __________________________________________________  *
 * |   DATE   |   Auteur   |          Detail          | *
 * |--------------------------------------------------| *
 * | 21/01/08 | C&G			| Cration et code des    | *
 * |          |			   | fonctions: 			  | *
 * |          |            | Led_Jaune(unsigned char) | *
 * |          |            | Led_rouge(unsigned char) | *
 * |          |            | Led_Ambre(unsigned char) | *
 * |          |            | Led_Verte(unsigned char) | *
 * |--------------------------------------------------| *
 * |  7/02/08 |    C&G     | Mise  jour du code      | *
 * |--------------------------------------------------| *
 * |          |            |                          | *
 * |--------------------------------------------------| *
 * |__________|____________|__________________________| *
 *                                                      *
 *                                                      *
 * .Remarques : 								        *
 *                                                      *
 ********************************************************/

#ifndef __LED_H__
#define __LED_H__


// Dfinition des broches utile au
#define LED_JAUNE   PORTAbits.RA1
#define LED_ROUGE	PORTAbits.RA3
#define LED_AMBRE   PORTAbits.RA4
#define LED_VERTE   PORTAbits.RA5

#define TRIS_LED_JAUNE 	TRISAbits.TRISA1
#define TRIS_LED_ROUGE 	TRISAbits.TRISA3
#define TRIS_LED_AMBRE 	TRISAbits.TRISA4
#define TRIS_LED_VERTE 	TRISAbits.TRISA5

//******Prototype des fonctions *************

/*-------------------------------------------------------------------
 * Fonction Led_Init()
 * Dfini les broches des leds en sortie
 *  0: en sorties
 *  1: en entres 
*/
void Led_Init(void);



/*-------------------------------------------------------------------
 * Fonction Led_X()
 * Allume ou teint la LED X
 *  0: ETEINT La LED
 *  1: ALLUME La LED 
*/
void Led_Jaune (unsigned char);
void Led_Rouge (unsigned char);
void Led_Ambre (unsigned char);
void Led_Verte (unsigned char);


#endif