// Fichier Serial.H
/////////////////////////////////////////////////////////

/********************************************************
 *                                                      *
 *                Code source de la librairie           *
 *					de la carte principale 				*
 *                                                      *
 * .Date de cration : 29/12/07                         *
 * .Auteur : Philippe Lucidarme                         *       
 *                                                      *
 * .Descriptions :                                      *
 *      - code des fonctions pour la carte principale   *
 *                                                      *
 *                                                      *
 * .Remarques :                                         *
 *                                                      *
 ********************************************************/


#define		TRIS_RX			TRISCbits.TRISC7		// Ligne de rception des donnes
#define 	TRIS_TX			TRISCbits.TRISC6		// Ligne d'envoie des donnes

#define 	MAX_TRAME		8						// Nombre maximum de caractre par trame (1 commande + 6 donnes + 1 CRC)
		
		
		
		// Sches Jeune Padawan, qu'il est trs dangeureux de modifier cette tempo !
#define 	DELAY_USART		Delay10TCYx(5);			// Tempo entre deux envoies de caractres
		
		
												


// --------------------------------------------------------------------------
/* Initialise le port srie  57600 bauds
 *  Pas de paramtre
*/
void Serial_Init(void);





// --------------------------------------------------------------------------
/* Calcul le CRC de la trame passe en paramtre
 *  Le premier paramtre est un pointeur vers le premier caractre de la trame
 *  Le second est le nombre de caractres
*/
unsigned char CRC (unsigned char* Trame,int NbCar);





// --------------------------------------------------------------------------
/* Envoyer la trame sur la liaison srie
 *  Le premier est un pointeur vers le premier caractre de la trame
 *  Le second paramtre est le nombre de caractre  envoyer 
*/
void Envoyer_Trame(unsigned char* Trame, char NbCar);




/* Reception d'une valeur envoyer par le PC grace  la liaison srie
 * A chaque reception l'IT et appeler 
 * Changement de l'tat de la led
*/
void InterruptSerial(void);                	// Fonction contenant le code de l'interruption



