// Fichier structure.h
/////////////////////////////////////////////////////////

/********************************************************
 *                                                      *
 *              Code source de la librairie             *
 *	   		pour la definition de le structure  		*
 *             des points et de la position             *
 *                                                      *
 * .Date de cration : 04/02/08                         *
 * .Auteurs : Came Mikael Et Guibert David              *       
 *                                                      *
 * .Descriptions :                                      *
 *													    *
 *                                                      *
 * .Grandes modifications :                             *
 *  __________________________________________________  *
 * |   DATE   |   Auteur   |          Detail          | *
 * |--------------------------------------------------| *
 * | 04/02/08 | C&G			| Cration et code des    | *
 * |          |			   | fonctions: 			  | *
 * |--------------------------------------------------| *
 * |  7/02/08 |    C&G     | Mise  jour du code      | *
 * |--------------------------------------------------| *
 * |          |            |                          | *
 * |--------------------------------------------------| *
 * |__________|____________|__________________________| *
 *                                                      *
 *                                                      *
 * .Remarques : 								        *
 *                                                      *
 ********************************************************/


#ifndef __STRUCT_H__
#define __STRUCT_H__


/* Structure d'un point sur l'aire de jeu
 * Coordonne en X et Y
	- Pour les coordonnes du robot
	- Pour les coordonnes de la cible traqu 
*/

struct point
{
	float X;					// Contient la coordonne en X 
	float Y;					// Contient la coordonne en X 
};


/* Structure d'une position du robot sur l'aire de jeu 
 * Inclue un point et une orientation
*/

struct position
{
	struct point coordonnee;  	// Coordonne en X,Y de la structure prcdente struct point
	float orientation ;			// Angle 				
};

#endif