//------------------------------------------------------------------------------
//						Math.h: Fonctions Mathmatiques
//------------------------------------------------------------------------------

#ifndef __TRIGO_H__
#define __TRIGO_H__


// Dfinition des constantes mathematiques	
#define	PI			3.141592653589793	// Constante Pi
#define	PI_2		6.283185307179586	// Constante 2 Pi
#define PI_DIV2		1.570796326794896	// Constante Pi/2	
#define	INV_PI		0.318309886183790	// Constante 1/Pi
#define INV_PI_2	0.159154943091895	// Constante 1/2Pi
#define INV_PI_DIV2 0.636619772367581	// Constante 2/Pi
#define LN2 		0.693147180559945	// Constante Log[2]
#define INV_LN2 	1.442695040888963	// Constante 1/Log[2]
#define LN2_2		1.386294361119890	// Constante 2 Log[2]
#define	INV_LN2_2	0.346573590279973	// Constante 1/2Log[2]
#define INV_LN10	0.434294481903252	// Constante 1/Log[10]

// Dfinition des constantes format flottant ( confirmer)
#define exp_pos       3                	// Position de l'exposant dans le nombre flottant
#define exp_offset    126               // Valeur de l'exposant nul
#define exp_lo_min    -127              // Valeur de l'exposant ngatif minimal 
#define exp_hi_max    128               // Valeur de l'exposant positif maximal

// Dfinition du degrs du plynome interpolateur
#define rec_sin	11					
#define rec_exp 10 
#define rec_log	10
#define rec_sqr 10
#define rec_atn 10



// retourne les valeur +INF / -INF et NAN
float Trigo_returnINF_LO(void);
float Trigo_returnINF_HI(void);
float Trigo_returnINF_NAN(void);


/*------------------------------------------------------------------------------
						Programme Horner
  ------------------------------------------------------------------------------
Calcul d'un polynome de degrs n										*/


float Trigo_horner(float x, int rec, float *tab);

// Fonction valeur absolue entire
int Trigo_abs(int x);


// Fonction valeur absolue flottant
float Trigo_fabs(float x);



/*------------------------------------------------------------------------------
						Fonctions Trigonomtriques
  ------------------------------------------------------------------------------*/

// Fonction Sinus
float Trigo_sin(float x);


// Fonction Cosinus
float Trigo_cos(float x);




/*------------------------------------------------------------------------------
						Fonctions Trigonomtriques Inverses
  ------------------------------------------------------------------------------*/

// Fonction Arc tangente
float Trigo_atan(float x);


// Fonction Arc tangente 2, calcul l'angle form par le vecteur x,y
float Trigo_atan2(float y,float x);



#endif